Bug 1283722 - (CVE-2015-8666) CVE-2015-8666 Qemu: acpi: heap based buffer overrun during VM migration
CVE-2015-8666 Qemu: acpi: heap based buffer overrun during VM migration
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151224,reported=2...
: Security
Depends On: 1294027 1294028
Blocks: 1283726
  Show dependency treegraph
 
Reported: 2015-11-19 11:44 EST by Adam Mariš
Modified: 2016-04-18 20:45 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow flaw was discovered in the QEMU emulator built with the Q35-chipset-based PC system emulator. During VM-guest migration, more data (8 bytes) is moved than the allocated memory area. A privileged guest user could use this flaw to corrupt the VM guest image, which could potentially lead to a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (852 bytes, patch)
2015-11-19 11:46 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-11-19 11:44:03 EST
Qemu emulator built with the Q35 chipset based pc system emulator is vulnerable to a heap based buffer overflow. It occurs during VM guest migration, as more(8 bytes) data is moved than allocated memory area.

A privileged guest user could use this issue to corrupt the VM guest image, potentially leading to a DoS. This issue affects q35 machine types.

Upstream fix:
-------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=d9a3b33d2c9f996537b7f1d0246dee2d0120cefb

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/24/1
Comment 1 Adam Mariš 2015-11-19 11:46 EST
Created attachment 1096797 [details]
Patch
Comment 2 Adam Mariš 2015-11-19 12:08:49 EST
Acknowledgments:

This issue was discovered by David Alan Gilbert of Red Hat.
Comment 3 Prasad J Pandit 2015-12-24 01:09:30 EST
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue does not affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.
Comment 4 Prasad J Pandit 2015-12-24 01:13:39 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1294028]
Comment 5 Prasad J Pandit 2015-12-24 01:13:52 EST
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1294027]
Comment 6 Fedora Update System 2016-01-12 02:54:22 EST
qemu-2.4.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-19 18:54:33 EST
qemu-2.3.1-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-28 13:25:19 EST
xen-4.5.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-01 01:30:19 EST
xen-4.5.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.